package client;

import java.util.ArrayList;
import java.util.Hashtable;

import net.ConnectionInfo;

public interface ClientGuiListener {
	
	public void initFriendsList(ArrayList<String> logins);
	
	public void refreshFriendsList(Hashtable<String, ConnectionInfo>  tabela);
	
	public void lostConnectionToServer();
	
	public void error(Exception e);
	
	public void connectionReceived(ChatThread chat, ConnectionInfo ci);
	
	public void msgRecieved(String msg, ConnectionInfo ci, ChatThread chatThread);
	
	public void callRecieved(ConnectionInfo ci);
	
	public void transferRecieved();
		
	public void conviteDeConversaRecebido(ConnectionInfo ci, Hashtable<ConnectionInfo, String> tabelaDeParticipantes, ChatThread chat);
	
	public void confirmouConvite(ConnectionInfo ci, ChatThread chat);
}
