package client;
import java.util.Hashtable;
import java.util.TimerTask;

import net.ConnectionInfo;

public class SendTask extends TimerTask{
	private ClientGuiListener listener;
	private FachadaClient fachada;
	private Hashtable<ConnectionInfo, String> tabelaDeContatos;
	private String msg;
	
	public SendTask( FachadaClient fachada, Hashtable<ConnectionInfo, String> tabelaDeContatos, String msg, ClientGuiListener listener){
		this.fachada = fachada;
		this.tabelaDeContatos = tabelaDeContatos;
		this.msg = msg;
		this.listener = listener;
	}
	@Override
	public void run() {
		try {
			this.fachada.sendGroupMsg(msg, tabelaDeContatos, listener);
		} catch (GroupException e) {
			listener.error(e);
		}
	}

}
